CMSIS-DSP: arm_cfft_f32.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_f32.c File Reference

## Functions

void | arm_radix8_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, const float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_bitreversal_32 (uint32_t *pSrc, const uint16_t bitRevLen, const uint16_t *pBitRevTable)
| In-place 32 bit reversal function. More...
void | arm_cfft_radix8by2_f32 (arm_cfft_instance_f32 *S, float32_t *p1)
void | arm_cfft_radix8by4_f32 (arm_cfft_instance_f32 *S, float32_t *p1)
void | arm_cfft_f32 (const arm_cfft_instance_f32 *S, float32_t *p1, uint8_t ifftFlag, uint8_t bitReverseFlag)
| Processing function for the floating-point complex FFT. More...

## Function Documentation

void arm_bitreversal_32 | ( | uint32_t * | pSrc,
|  | const uint16_t | bitRevLen,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place buffer of unknown 32-bit data type
  [in] | bitRevLen | bit reversal table length
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_cfft_radix8by2_f32 | ( | arm_cfft_instance_f32 * | S,
|  | float32_t * | p1
| ) |  |

void arm_cfft_radix8by4_f32 | ( | arm_cfft_instance_f32 * | S,
|  | float32_t * | p1
| ) |  |

void arm_radix8_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | const float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

brief Core function for the floating-point CFFT butterfly process. param[in,out] pSrc points to the in-place buffer of floating-point data type. param[in] fftLen length of the FFT. param[in] pCoef points to the twiddle coefficient buffer. param[in] twidCoefModifier twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table. return none